## Function `jsonArray( txt )`

Description:
  Converts the supplied string to a JSONArray which can be interrogated further. If the input string doesn't have the syntax of a JSON array, a zero-length JSONArray will be returned.

  The JSON parsing is currently somewhat lenient, for instance allowing a comma before a closing square bracket.

Parameters:
  `txt` (String)
    string assumed to contain a JSON array

Return Value (JSONArray):
  JSON array value on which further methods can be called

Signature:
  `JSONArray jsonArray(String)`